IM_INVALIDATE(3)

NAME
im_invalidate - flush caches related to an image

SYNOPSIS
#include <vips/vips.h> void im_invalidate( IMAGE *im )

DESCRIPTION
im_invalidate(3) marks all caches related to the image as invalid and requring recalculation. It needs to be called if an image changes after being made: for example, after a paint action, or perhaps after a new frame has arrived from a video source.

SEE ALSO
im_prepare(3), im_region_buffer(3).